# ZPhotoSlides, Zope product
# Copyright (C) 2002-2003  Jean-Franois Roche <jfroche@jfroche.be>
#                          Florent Carlier <florent.carlier@insa-rennes.fr>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# $Id: ZPhotoSlidesUtils.py,v 1.6 2003/07/10 19:09:51 jfroche Exp $'

import ZPhotoSlides
import string

def breadcrumb(self, location, include_root=1):
    crumb = ''
    checkparent = lambda x: x.aq_parent.meta_type == 'Folder'
    if checkparent(location):
       crumb = '<a href="%s">%s</a>' % (location.absolute_url(), location.title_or_id())
       include_parent = location
       while checkparent(location):
             location = location.aq_parent
             crumb = '<a href="%s">%s</a> / %s' % (location.absolute_url(), location.title_or_id(), crumb)
    if include_root:
       crumb='<a href="%s">%s</a> / %s' % (self.portal_url(), self.portal_properties.title(), crumb)
    return crumb
    
def updateVisited(self):
    req = self.REQUEST
    resp = req.RESPONSE
    idfolder = str(self.getId())
    if not(req.cookies.has_key('visited'+ idfolder)):
       resp.setCookie('visited'+ idfolder, 1)
       self.visited(req)
       return 1
    return 0

def gettext(msg):
    return msg
